Bug 190834 - getBiggestObjectsByRetainedSize hangs
getBiggestObjectsByRetainedSize hangs
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-07 17:25 UTC by Tomas Hurka
Modified: 2011-02-24 16:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2010-10-07 17:25:25 UTC
The following code hangs in getBiggestObjectsByRetainedSize()

Heap heap = HeapFactory.createHeap(new File("path_heap_dump"));
List result = heap.getBiggestObjectsByRetainedSize(2);
Comment 1 Tomas Hurka 2010-10-07 17:34:48 UTC
Fixed in profiler-main

changeset:   178953:02ba0ab21b0f
user:        Tomas Hurka <thurka@netbeans.org>
date:        Thu Oct 07 19:29:17 2010 +0200
summary:     bugfix #190834, make sure that instances are computed before computing references
Comment 2 Quality Engineering 2010-10-09 15:24:22 UTC
Integrated into 'main-golden', will be available in build *201010090000* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/02ba0ab21b0f
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #190834, make sure that instances are computed before computing references


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo